import sql from "../sql.js";

const data = {
  yiff: [],
  kill_templates: [],
  kill_parts: {},
  genders: [],
  woahs: [],
  slap: []
};

Object.keys(data).forEach(cur => {
  sql.exec("select `data` from `useless` where `trigger` = ? limit 1", [cur])
    .then(rows => {
      data[cur] = JSON.parse(rows[0].data);
    });
});

module.exports = bot => {
  bot._trigger.set("kiss", new bot.trigger({
    call: /^(\.|\/)kiss/i,
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];
      e.reply(`(づ｡◕‿‿◕｡)づ" [color=red]。。・゜゜・。。・゜❤[/color] [b]${args.join(" ").trim()}[/b] [color=red]❤[/color]`);
    }
  }));

  bot._trigger.set("hug", new bot.trigger({
    call: /^(\.|\/)hug/i,
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];
      e.reply(`[color=red]♡❤♡♥[/color] [b]${args.join(" ").trim()}[/b] [color=red]♥♡❤♡♥[/color]`);
    }
  }));

  bot._trigger.set("kill", new bot.trigger({
    call: /^(\.|\/)kill/i,
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];

      e.replyAction(data.kill_templates[~~(Math.random() * data.kill_templates.length)]
        .replace("{user}", `[b]${args[0]}[/b]`)
        .replace("{limbs}", data.kill_parts.limbs[~~(Math.random() * data.kill_parts.limbs.length)])
        .replace("{gun}", data.kill_parts.gun[~~(Math.random() * data.kill_parts.gun.length)])
        .replace("{weapon_stab}", data.kill_parts.weapon_stab[~~(Math.random() * data.kill_parts.weapon_stab.length)])
        .replace("{weapon_slice}", data.kill_parts.weapon_slice[~~(Math.random() * data.kill_parts.weapon_slice.length)])
        .replace("{weapon_crush}", data.kill_parts.weapon_crush[~~(Math.random() * data.kill_parts.weapon_crush.length)])
        .replace("{weapon_explosive}", data.kill_parts.weapon_explosive[~~(Math.random() * data.kill_parts.weapon_explosive.length)])
        .replace("{tall_thing}", data.kill_parts.tall_thing[~~(Math.random() * data.kill_parts.tall_thing.length)])
        .replace("{spiked_thing}", data.kill_parts.spiked_thing[~~(Math.random() * data.kill_parts.spiked_thing.length)])
        .replace("{bomb}", data.kill_parts.bomb[~~(Math.random() * data.kill_parts.bomb.length)])
      );
    }
  }));

  bot._trigger.set("yiff", new bot.trigger({
    call: /^(\.|\/)yiff/i,
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];

      e.replyAction(data.yiff[~~(Math.random() * data.yiff.length)]
        .split("{user}").join(`[b]${args[0]}[/b]`)
        .split("{yiffer}").join(`[b]${e.user.nick}[/b]`)
        .split("{nick}").join(`[b]${e.self.me.nickname}[/b]`)
        .split("{channel}").join(`${e.channel}`)
      );
    }
  }));

  bot._trigger.set("bier", new bot.trigger({
    call: /^(\.|\/)bier/i,
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];
      e.replyAction(`schenkt ein kühles Blondes an [b]${args[0]}[/b] aus.`);
    }
  }));

  bot._trigger.set("fucken", new bot.trigger({
    call: /^(\.|\/)fucken/i,
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];
      e.replyAction(`fuckt [b]${args[0]}[/b] und tötet [b]${args[0]}[/b] anschließend.`);
    }
  }));

  bot._trigger.set("hack", new bot.trigger({
    call: /^(\.|\/)hack/i,
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];
      e.reply(`hacking ${args[0]}...`);
    }
  }));

  bot._trigger.set("spit", new bot.trigger({
    call: /^(\.|\/)spit/i,
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];
      e.replyAction(`spits on [b]${args[0]}[/b] like a dirty whore.`);
    }
  }));

  bot._trigger.set("assume", new bot.trigger({
    call: /^(\.|\/)assume/i,
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];
      e.reply(`Assuming [b]${args[0]}'s[/b] gender... it's a ${data.genders[~~(Math.random() * data.genders.length)]}.`);
    }
  }));

  bot._trigger.set("jn", new bot.trigger({
    call: /^(\.|\/)jn/i,
    f: e => {
      e.reply(`${e.user.nick}: [b]${~~(Math.random() * 2) ? "Ja" : "Nein"}[/b]`);
    }
  }));

  bot._trigger.set("choose", new bot.trigger({
    call: /^(\.|\/)choose .*/i,
    f: e => {
      const args = e.message.substring(8).trim().split(",");
      if (args.length < 2)
        return e.reply(`${e.user.nick}: Ob du behindert bist?`);
      e.reply(`${e.user.nick}: ${args[~~(Math.random() * args.length)].trim()}`);
    }
  }));

  bot._trigger.set("huehuehue", new bot.trigger({
    call: /^huehuehue$/i,
    f: e => {
      e.reply("huehuehue");
    }
  }));

  bot._trigger.set("woah", new bot.trigger({
    call: /woah/i,
    f: e => {
      if (~~(Math.random() * 4))
        e.reply(data.woahs[~~(Math.random() * data.woahs.length)]);
    }
  }));

  bot._trigger.set("REEE", new bot.trigger({
    call: /reee+$/i,
    f: e => {
      e.reply("R".padEnd(~~(Math.random() * 20 + 10), "E"));
    }
  }));

  bot._trigger.set("meme", new bot.trigger({
    call: /^(\.|\/)meme .*/i,
    active: false,
    f: e => {
      const args = e.message.trim().substring(6).split("/");
      //if(args.length < 3)
        return e.reply("[WIP] too few arguments: .meme [meme] / [line 1] / [line 2]");

    }
  }));

  bot._trigger.set("slap", new bot.trigger({
    call: /^(\.|\/)slap/i,
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];
      e.replyAction(data.slap[~~(Math.random() * data.slap.length)]
        .replace("{user}", `[b]${args[0]}[/b]`)
      );
    }
  }));

  bot._trigger.set("fw", new bot.trigger({
    call: /^(\.|\/)fw .*/i,
    f: e => {
      const args = e.message.substring(4).trim();
      e.reply(args.toUpperCase().split``.map(c => String.fromCharCode(65312 + (c.charCodeAt(0) - 64))).join``);
    }
  }));
};